summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--VERSION4
-rw-r--r--docs-xml/using_samba/appc.xml28
-rw-r--r--docs-xml/using_samba/ch05.xml29
-rwxr-xr-xselftest/gdb_backtrace36
-rwxr-xr-xselftest/selftest.pl2
-rw-r--r--selftest/target/Samba4.pm2
-rwxr-xr-xsource3/script/tests/gdb_backtrace87
-rwxr-xr-xsource3/wscript_build2
-rw-r--r--source4/param/loadparm.c5
-rw-r--r--source4/scripting/python/samba/upgrade.py2
10 files changed, 30 insertions, 167 deletions
diff --git a/VERSION b/VERSION
index 96059d6c1b..6af0d96b28 100644
--- a/VERSION
+++ b/VERSION
@@ -57,7 +57,7 @@ SAMBA_VERSION_TP_RELEASE=
# e.g. SAMBA_VERSION_ALPHA_RELEASE=1 #
# -> "4.0.0alpha1" #
########################################################
-SAMBA_VERSION_ALPHA_RELEASE=16
+SAMBA_VERSION_ALPHA_RELEASE=17
########################################################
# For 'pre' releases the version will be #
@@ -89,7 +89,7 @@ SAMBA_VERSION_RC_RELEASE=
# e.g. SAMBA_VERSION_IS_SVN_SNAPSHOT=yes #
# -> "3.0.0-SVN-build-199" #
########################################################
-SAMBA_VERSION_IS_GIT_SNAPSHOT=no
+SAMBA_VERSION_IS_GIT_SNAPSHOT=yes
########################################################
# This is for specifying a release nickname #
diff --git a/docs-xml/using_samba/appc.xml b/docs-xml/using_samba/appc.xml
index f4b4666bca..30f5045c01 100644
--- a/docs-xml/using_samba/appc.xml
+++ b/docs-xml/using_samba/appc.xml
@@ -66,34 +66,6 @@ options.</para>
</refsynopsisdiv>
</refentry>
-<refentry id="appc-refentry-4">
-<refmeta>
-<refmiscinfo class="allowable values">NT, Win95, WfW</refmiscinfo>
-<refmiscinfo class="default">NT</refmiscinfo>
-</refmeta>
-<refnamediv>
-<refname>[global] announce as = system type</refname>
-</refnamediv>
-<refsynopsisdiv>
-<para>Have Samba announce itself as something other than an NT server. Discouraged because it interferes with serving browse lists.</para>
-
-</refsynopsisdiv>
-</refentry>
-
-<refentry id="appc-refentry-5">
-<refmeta>
-<refmiscinfo class="allowable values">any</refmiscinfo>
-<refmiscinfo class="default">4.2</refmiscinfo>
-</refmeta>
-<refnamediv>
-<refname>[global] announce version = number.number</refname>
-</refnamediv>
-<refsynopsisdiv>
-<para>Instructs Samba to announce itself as an older version SMB server. Discouraged.</para>
-
-</refsynopsisdiv>
-</refentry>
-
<refentry id="appc-refentry-6">
<refmeta>
<refmiscinfo class="allowable values">any shares</refmiscinfo>
diff --git a/docs-xml/using_samba/ch05.xml b/docs-xml/using_samba/ch05.xml
index 8bf541cd2f..2e8bc328b0 100644
--- a/docs-xml/using_samba/ch05.xml
+++ b/docs-xml/using_samba/ch05.xml
@@ -523,35 +523,6 @@ remote browse sync = 192.168.221.130 192.168.222.120</programlisting>
<tbody>
<row>
-<entry colname="col1"><para><literal>announce as</literal></para></entry>
-
-<entry colname="col2"><para><literal>NT</literal>
-<indexterm id="ch05-idx-969670-0"><primary>browsing</primary><secondary>options for, list of</secondary></indexterm> or <literal>Win95</literal> or <literal>Wf W</literal></para></entry>
-
-<entry colname="col3"><para>Sets the operating system that Samba will announce itself as.</para></entry>
-
-<entry colname="col4"><para><literal>N T</literal></para></entry>
-
-<entry colname="col5"><para>Global</para></entry>
-
-</row>
-
-<row>
-
-<entry colname="col1"><para><literal>announce version</literal></para></entry>
-
-<entry colname="col2"><para>numerical</para></entry>
-
-<entry colname="col3"><para>Sets the version of the operating system that Samba will announce itself as.</para></entry>
-
-<entry colname="col4"><para><literal>4.2</literal></para></entry>
-
-<entry colname="col5"><para>Global</para></entry>
-
-</row>
-
-<row>
-
<entry colname="col1"><para><literal>browseable (browsable)</literal></para></entry>
<entry colname="col2"><para>boolean</para></entry>
diff --git a/selftest/gdb_backtrace b/selftest/gdb_backtrace
index 5531814149..28ac064bcd 100755
--- a/selftest/gdb_backtrace
+++ b/selftest/gdb_backtrace
@@ -58,24 +58,38 @@ test x"${DB_BIN}" = x"" && {
exit 1
}
-#
+need_binary="no"
+case "${DB}" in
+# These debuggers need the process binary specified:
+ ladebug)
+ need_binary="yes"
+ ;;
+ gdb66)
+ need_binary="yes"
+ ;;
+ dbx)
+ need_binary="yes"
+ ;;
+esac
+
+test x"${need_binary}" = x"yes" && {
+
# we first try to use /proc/${PID}/exe or /proc/{$PID}/path for solaris
# then fallback to the binary from the commandline
# then we search for the commandline argument with
# 'which'
#
-test -f "/proc/${PID}/exe" && BINARY="/proc/${PID}/exe"
-test -f "/proc/${PID}/path/a.out" && BINARY=`ls -l /proc/${PID}/path/a.out |sed 's/.*-> //'`
-test x"${BINARY}" = x"" && BINARY="/proc/${PID}/exe"
-test -f "${BINARY}" || BINARY=`which ${BINARY}`
-
-test -f "${BINARY}" || {
- echo "${BASENAME}: ERROR: Cannot find binary '${BINARY}'."
- exit 1
+ test -f "/proc/${PID}/exe" && BINARY="/proc/${PID}/exe"
+ test -f "/proc/${PID}/path/a.out" && BINARY=`ls -l /proc/${PID}/path/a.out |sed 's/.*-> //'`
+ test x"${BINARY}" = x"" && BINARY="/proc/${PID}/exe"
+ test -f "${BINARY}" || BINARY=`which ${BINARY}`
+
+ test -f "${BINARY}" || {
+ echo "${BASENAME}: ERROR: Cannot find binary '${BINARY}'."
+ exit 1
+ }
}
-echo "${BASENAME}: Trying to use ${DB_BIN} on ${BINARY} on PID ${PID}"
-
BATCHFILE_PRE=/tmp/gdb_backtrace_pre.$$
BATCHFILE_MAIN=/tmp/gdb_backtrace_main.$$
case "${DB}" in
diff --git a/selftest/selftest.pl b/selftest/selftest.pl
index 23434fc86c..af45c718de 100755
--- a/selftest/selftest.pl
+++ b/selftest/selftest.pl
@@ -629,7 +629,7 @@ sub write_clientconf($$$)
lock dir = $clientdir/lockdir
ncalrpc dir = $clientdir/ncalrpcdir
name resolve order = file bcast
- panic action = $RealBin/gdb_backtrace \%PID\% \%PROG\%
+ panic action = $RealBin/gdb_backtrace \%PID\%
max xmit = 32K
notify:inotify = false
ldb:nosync = true
diff --git a/selftest/target/Samba4.pm b/selftest/target/Samba4.pm
index 49bab371fc..b76fd98abd 100644
--- a/selftest/target/Samba4.pm
+++ b/selftest/target/Samba4.pm
@@ -598,7 +598,7 @@ sub provision_raw_step1($$)
name resolve order = file bcast
interfaces = $ctx->{interfaces}
tls dh params file = $ctx->{tlsdir}/dhparms.pem
- panic action = $RealBin/gdb_backtrace \%PID% \%PROG%
+ panic action = $RealBin/gdb_backtrace \%PID%
wins support = yes
server role = $ctx->{server_role}
server services = +echo
diff --git a/source3/script/tests/gdb_backtrace b/source3/script/tests/gdb_backtrace
deleted file mode 100755
index 826381e900..0000000000
--- a/source3/script/tests/gdb_backtrace
+++ /dev/null
@@ -1,87 +0,0 @@
-#!/bin/sh
-
-BASENAME=`basename $0`
-
-if [ -n "$VALGRIND" -o -n "$SMBD_VALGRIND" ]; then
- echo "${BASENAME}: Not running debugger under valgrind"
- exit 1
-fi
-
-# we want everything on stderr, so the program is not disturbed
-exec 1>&2
-
-BASENAME=`basename $0`
-UNAME=`uname`
-
-PID=$1
-BINARY=$2
-
-test x"${PID}" = x"" && {
- echo "Usage: ${BASENAME} <pid> [<binary>]"
- exit 1
-}
-
-DB_LIST="gdb"
-case "${UNAME}" in
- #
- # on Tru64 we need to try ladebug first
- # because gdb crashes itself...
- #
- OSF1)
- DB_LIST="ladebug ${DB_LIST}"
- ;;
-esac
-
-for DB in ${DB_LIST}; do
- DB_BIN=`which ${DB} 2>/dev/null | grep '^/'`
- test x"${DB_BIN}" != x"" && {
- break
- }
-done
-
-test x"${DB_BIN}" = x"" && {
- echo "${BASENAME}: ERROR: No debugger found."
- exit 1
-}
-
-#
-# we first try to use /proc/${PID}/exe
-# then fallback to the binary from the commandline
-# then we search for the commandline argument with
-# 'which'
-#
-test -f "/proc/${PID}/exe" && BINARY="/proc/${PID}/exe"
-test x"${BINARY}" = x"" && BINARY="/proc/${PID}/exe"
-test -f "${BINARY}" || BINARY=`which ${BINARY}`
-
-test -f "${BINARY}" || {
- echo "${BASENAME}: ERROR: Cannot find binary '${BINARY}'."
- exit 1
-}
-
-echo "${BASENAME}: Trying to use ${DB_BIN} on ${BINARY} on PID ${PID}"
-
-BATCHFILE_PRE=/tmp/gdb_backtrace_pre.$$
-BATCHFILE_MAIN=/tmp/gdb_backtrace_main.$$
-case "${DB}" in
- ladebug)
-cat << EOF > ${BATCHFILE_PRE}
-set \$stoponattach
-EOF
-
-cat << EOF > ${BATCHFILE_MAIN}
-where
-quit
-EOF
- ${DB_BIN} -c "${BATCHFILE_MAIN}" -i "${BATCHFILE_PRE}" -pid "${PID}" "${BINARY}"
- ;;
- gdb)
-cat << EOF > ${BATCHFILE_MAIN}
-set height 1000
-bt full
-quit
-EOF
- ${DB_BIN} -x "${BATCHFILE_MAIN}" "${BINARY}" "${PID}"
- ;;
-esac
-/bin/rm -f ${BATCHFILE_PRE} ${BATCHFILE_MAIN}
diff --git a/source3/wscript_build b/source3/wscript_build
index 624fcc8a73..5563b3a4e9 100755
--- a/source3/wscript_build
+++ b/source3/wscript_build
@@ -778,7 +778,7 @@ bld.SAMBA3_LIBRARY('POPT_SAMBA3',
bld.SAMBA3_LIBRARY('UTIL_CMDLINE',
source='lib/util_cmdline.c',
- deps='SECRETS3',
+ deps='SECRETS3 popt',
private_library=True)
bld.SAMBA3_SUBSYSTEM('KRBCLIENT',
diff --git a/source4/param/loadparm.c b/source4/param/loadparm.c
index 14285be017..b95a400b34 100644
--- a/source4/param/loadparm.c
+++ b/source4/param/loadparm.c
@@ -2352,10 +2352,6 @@ struct loadparm_context *loadparm_init(TALLOC_CTX *mem_ctx)
lpcfg_do_global_parameter_var(lp_ctx, "server string",
"Samba %s", SAMBA_VERSION_STRING);
- lpcfg_do_global_parameter_var(lp_ctx, "announce version", "%d.%d",
- DEFAULT_MAJOR_VERSION,
- DEFAULT_MINOR_VERSION);
-
lpcfg_do_global_parameter(lp_ctx, "password server", "*");
lpcfg_do_global_parameter(lp_ctx, "max mux", "50");
@@ -2373,7 +2369,6 @@ struct loadparm_context *loadparm_init(TALLOC_CTX *mem_ctx)
lpcfg_do_global_parameter(lp_ctx, "WriteRaw", "True");
lpcfg_do_global_parameter(lp_ctx, "NullPasswords", "False");
lpcfg_do_global_parameter(lp_ctx, "ObeyPamRestrictions", "False");
- lpcfg_do_global_parameter(lp_ctx, "announce as", "NT SERVER");
lpcfg_do_global_parameter(lp_ctx, "TimeServer", "False");
lpcfg_do_global_parameter(lp_ctx, "BindInterfacesOnly", "False");
diff --git a/source4/scripting/python/samba/upgrade.py b/source4/scripting/python/samba/upgrade.py
index 5bcc4294ba..0f7511aa17 100644
--- a/source4/scripting/python/samba/upgrade.py
+++ b/source4/scripting/python/samba/upgrade.py
@@ -279,8 +279,6 @@ smbconf_keep = [
"write raw",
"disable netbios",
"nt status support",
- "announce version",
- "announce as",
"max mux",
"max xmit",
"name resolve order",